package com.unis.base.server.domain;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.unis.base.common.vo.DHwxxsjyVO;
import com.unis.base.server.dao.DHwxxsjyDao;
import com.unis.base.server.entity.DHwxxsjyDO;
import com.unis.common.utils.LsBeanUtils;

/**
 * @author huangxing
 * @version 1.0
 * @Title DHwxxsjyDomain
 * @ProjectName 持久化
 * @Description
 * @date 2019/07/22 17点26分
 */
@Component
public class DHwxxsjyDomain extends BaseDomain {

	@Autowired
	private DHwxxsjyDao dHwxxsjyDao;

	/**
	 * 根据货位信息获取货位列表
	 * @param dHwxxsjyVO
	 * @return
	 */
	public List<DHwxxsjyVO> getDHwxxsjyList(DHwxxsjyVO dHwxxsjyVO) {
		//进行传递参数copy
		DHwxxsjyDO dCfxxsjyDO = new DHwxxsjyDO();
		LsBeanUtils.copyAllProperties(dHwxxsjyVO,dCfxxsjyDO);
		return dHwxxsjyDao.getDHwxxsjyList(dCfxxsjyDO);
	}

	/**
	 * 新增货位信息
	 * @param dHwxxsjyVO
	 * @return
	 */
	public int insert(DHwxxsjyVO dHwxxsjyVO) {
		//进行传递参数copy
		DHwxxsjyDO dCfxxsjyDO = new DHwxxsjyDO();
		//根据统一社会信用代码生成库点id（库点id规则：统一社会信用代码+001）
		String hwbh = getMaxCodeById(dHwxxsjyDao.getMaxCodeById(),dHwxxsjyVO.getCfbh(),3);
		dHwxxsjyVO.setHwbh(hwbh);
		LsBeanUtils.copyAllProperties(dHwxxsjyVO,dCfxxsjyDO);
		return dHwxxsjyDao.insert(dCfxxsjyDO);
	}

	/**
	 * 根据货位编号获取货位信息
	 * @param hwbh
	 * @return
	 */
	public DHwxxsjyDO getDHwxxsjyInfo(String hwbh) {
		return dHwxxsjyDao.getDHwxxsjyInfo(hwbh);
	}

	/**
	 * 更新货位信息
	 * @param dHwxxsjyVO
	 * @return
	 */
	public int update(DHwxxsjyVO dHwxxsjyVO) {
		//进行传递参数copy
		DHwxxsjyDO dCfxxsjyDO = new DHwxxsjyDO();
		LsBeanUtils.copyAllProperties(dHwxxsjyVO,dCfxxsjyDO);
		return dHwxxsjyDao.update(dCfxxsjyDO);
	}

}
